# Payment Instruments A `Payment Instrument` resource represents the payment details of a credit card or bank account. Payment details get tokenized multiple times and each tokenization produces a unique `Payment Instrument`. A `Payment Instrument` is associated with a single [`Identity`](#Identities). Once a `Payment Instrument` is created, the `Identity` it's associated with can't be changed. Including an address when creating a `Payment Instrument` can lower interchange on credit card transactions. **Related Guides:** - [Using Hosted Fields](/guides/online-payments/payment-tokenization/tokenization-forms) - [Getting Started](/guides/getting-started) ## Create a Payment Instrument - [POST /payment_instruments](https://docs.finix.com/api/payment-instruments/createpaymentinstrument.md): Create a Payment Instrument resource using a card or bank account. - The creation of Payment Instruments directly via Finix's API should only be done for testing purposes. You must use our hosted fields or the javascript client to remain out of PCI scope. ## List Payment Instruments - [GET /payment_instruments](https://docs.finix.com/api/payment-instruments/listpaymentinstruments.md): Retrieve a list of Payment Instrument resources. For details on how to query endpoints using the available parameters, see Query Parameters. ## Fetch a Payment Instrument - [GET /payment_instruments/{payment_instrument_id}](https://docs.finix.com/api/payment-instruments/getpaymentinstrument.md): Retrieve the details of an existing Payment Instrument. ## Update a Payment Instrument - [PUT /payment_instruments/{payment_instrument_id}](https://docs.finix.com/api/payment-instruments/updatepaymentinstrument.md): Update a Payment Instrument to: - Change the billing address in case the account holder moved (instrument_type:PAYMENT_CARD only). - Disable the Payment Instrument resource so it can't be used in requests. - Update the name on the Payment Instrument. - Change the tags. - Enable or disable Account Updater. - Enable or disable Network Tokens. ## List Instrument History Entries - [GET /payment_instruments/{payment_instrument_id}/instrument_history](https://docs.finix.com/api/payment-instruments/listinstrumenthistoryentries.md): Whenever a stored payment card's details are updated, an Instrument History Entry is created. Use this endpoint to retrieve a list of Instrument History Entries for a specific Payment Instrument. ## Verify CVV and AVS - [PUT /payment_instruments/{payment_instrument_id_verify}](https://docs.finix.com/api/payment-instruments/createpaymentinstrumentverification.md): Verify a Payment Instrument to determine CVV and AVS results. ## Verify Push-to-Card Eligibility - [POST /payment_instruments/{payment_instrument_id_verify}/verifications](https://docs.finix.com/api/payment-instruments/createpaymentinstrumentverificationpushtocard.md): Determine Push To Card eligibility for Push To Card customers. ## Create an Apple Pay Session - [POST /apple_pay_sessions](https://docs.finix.com/api/payment-instruments/createapplepaysession.md): Create an apple_pay_session to process Apple Pay transactions on the web. To create an Apple Pay Session, pass the unique validation_url (provided by Apple) while creating an apple_pay_sessions resource. Finix returns a merchantSession object that you can use to create a payment. For more information, see Apple Pay.